module OceanWaveSpectralFitting

using Reexport
@reexport using WhittleLikelihoodInference
import WhittleLikelihoodInference: UnknownAcvTimeSeriesModel, checkparameterlength
import Base: @propagate_inbounds
using Optim, DSP

include("models/univariate/JONSWAP.jl")
include("models/multivariate/JS_BWG_HNE.jl")
include("models/multivariate/JS_BWG_HNE_DL.jl")
include("fit.jl")

export JONSWAP, JS_BWG_HNE, JS_BWG_HNE_DL, fit

end
